# GRBC extensions
Extensions can be loaded at runtime using grbc_ext(...), functions are then dumped into the runtime

## How extensions work
Extensions are built into the grbc executable, and are loaded at runtime as needed

## Extension list
* GRBC_EXT_pkg_config
* GRBC_EXT_profiles
* GRBC_EXT_easy
* GRBC_EXT_dynamic_extensions
* GRBC_EXT_cmake [NOSUPPORT]

## GRBC_EXT_dynamic_extensions
Allows loading of extensions from shared object files. Extensions are searched for in: ```C:\grbc\ext```, or ```./grbc_ext```

## GRBC_EXT_pkg_config
Pkg config support. UNIX only

## GRBC_EXT_profiles
Support for compiler profiles, eg: Debug, ReleaseWithDebugSymbols, Release, etc

## GRBC_EXT_easy
Import some sane defaults such as the clean task. No documentation given as no functions are provided

## GRBC_EXT_cmake
CMake interop support